# Get Workspace Integrations

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Workspace Integrations"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/workspaces/{workspace_id}/secrets-integrations"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns the existing integrations for a workspace.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"items":{"properties":{"integration_name":{"description":"The name of the integration.","title":"Integration Name","enum":["aws-bedrock","azure-document-intelligence","azure-openai","cohere","deepl","google","huggingface","nvidia","openai","searchapi","snowflake","unstructured","voyage-ai","wandb-ai","mongodb","together-ai","aws-bedrock-api-key","anthropic"],"type":"string"},"overridden_organization_secrets":{"anyOf":[{"items":{"properties":{"masked_secret":{"description":"Masked secret value. The actual secret is not returned for security reasons.","title":"Masked Secret","type":"string"},"name":{"description":"The name of the secret.","title":"Secret Name","type":"string"},"secret_id":{"description":"Unique identifier of the secret.","format":"uuid","title":"Secret ID","type":"string"}},"required":["secret_id","name","masked_secret"],"title":"OverriddenSecret","type":"object"},"type":"array"},{"type":"null"}],"description":"The organization secrets that are overridden by this integration.","title":"Overridden Secrets"}},"required":["integration_name"],"title":"ConnectedWorkspaceIntegration","type":"object"},"title":"Response Get Workspace Integrations Api V2 Workspaces  Workspace Id  Secrets Integrations Get","type":"array"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
